Overview | Package | Class | Tree | Deprecated | Index | Help
| SMILA API documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.smila.datamodel.filter
Class RecordFilterUtils

    java.lang.Object
      org.eclipse.smila.datamodel.filter.RecordFilterUtils

    public final class RecordFilterUtils

extends java.lang.Object

The Class RecordFilterHelper.

Method Summary
`static AnyMap` | `filter(Filter filter, AnyMap source, DataFactory anyFactory)` Filter.
`static Record` | `filter(Filter filter, Record record)` Filter.
`static Filter` | `findFilter(RecordFilters filters, java.lang.String name)` Find filter.
`static void` | `marshall(RecordFilters recordFilters, java.io.OutputStream outputStream)` Marshall.
`static RecordFilters` | `unmarshall(java.io.InputStream inputStream)` Unmarshall.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### unmarshall

    public static RecordFilters unmarshall(java.io.InputStream inputStream)
                                    throws RecordFilterLoadSaveException

  Unmarshall.

  Parameters:
    `inputStream` - the input stream
  Returns:
    the record filters
  Throws:
    `RecordFilterLoadSaveException` - the record filter load exception

### marshall

    public static void marshall(RecordFilters recordFilters,
                                java.io.OutputStream outputStream)
                         throws RecordFilterLoadSaveException

  Marshall.

  Parameters:
    `recordFilters` - the record filters
    `outputStream` - the output stream
  Throws:
    `RecordFilterLoadSaveException` - the record filter load save exception

### findFilter

    public static Filter findFilter(RecordFilters filters,
                                    java.lang.String name)
                             throws RecordFilterNotFoundException

  Find filter.

  Parameters:
    `filters` - the filters
    `name` - the name
  Returns:
    the filter
  Throws:
    `RecordFilterNotFoundException` - the record filter not found exception

### filter

    public static Record filter(Filter filter,
                                Record record)

  Filter. Note: record id and source attributes of the record cannot be filtered, these two attributes will always be retained.

  Parameters:
    `filter` - the record filter
    `record` - the record
  Returns:
    the record

### filter

    public static AnyMap filter(Filter filter,
                                AnyMap source,
                                DataFactory anyFactory)

  Filter. Note: record id and source attributes of the record cannot be filtered, these two attributes will always be retained.

  Parameters:
    `filter` - the record filter
    `source` - the Any object to be filtered
    `anyFactory` - the Any factory
  Returns:
    the filtered Any object

Overview | Package | Class | Tree | Deprecated | Index | Help
| SMILA API documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD